package core

// Implementation: github.com/lucasdataproyects/devfactory/core

// Curry2 transforma una funcion de dos argumentos en forma currificada.
func Curry2[A, B, C any](f func(A, B) C) func(A) func(B) C {
	// stub
	return nil
}
